2011年1月16日

[samba-jp:21293] Re:SAMBAのバージョンについて

たかはしもとのぶです。

2011年1月16日21:23 KAWASUMI Junji <touchan@xxxxx>:
>> > SAMBAの3系列の数字は今後どんどん増えて行くのでしょうか。
(中略)
>> 1世代前(今だったら3.4)と2世代前(今だったら3.3)を保守。
>> 但し、2世代前はセキュリティ問題以外保守なし。
>> 3世代前以前は保守停止(今だったら3.2より前)。

> これも分かるのですが、バージョンアップした際の影響とか下調べ
> 等のオーバヘッド(そんなには無いと思いますが)があったり、今
> までサクサク動作していた機能が、マッタリしたりするリスクが伴
> うわけですよね。
(中略)
> それなら、3.n のベースでは無くとも 3.n.mのmを増やしてもらった
> 方がうれしいと思ったりしてます。

おそらく、Samba 3.0.X の途中までは上記の趣旨に則って、m を増やし
続けたんだと思います。

しかし、m の増加に、単なるセキュリティ修正のみの更新から、3.0.20 や 25 の
ように、相当大掛かりなバージョンアップまで、様々なレベルが含まれて
しまったことに加え、いつまでサポートが続くのかも不明瞭な状態となって
しまったため、Samba Team として、サポート方針を整理したのが現状
だと思います。

現行では Samba 3.n.m の m の増加は、基本的にはバグ修正が主体で
たとえばパラメータの増減などは極力行わないというポリシーになって
いますので、その意味で混乱は収まる方向にいったように思います。

曰く、m の増加は基本的には修正微小、n の増加はある程度は覚悟してね
ということかと思います。

# 実際どうなってるかはともかくとして。

---
TAKAHASHI Motonobu <monyo@xxxxx>


投稿者 xml-rpc : 2011年1月16日 21:37
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/101356
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。